﻿using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace XamDockManagerSelectionCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
      
        List<ContentPane> Panes = new List<ContentPane>();        

        private void TGP1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {            
            if (e.AddedItems.Count != 0)
            {
                if (e.AddedItems[0] != null)
                {
                    ContentPane cp = e.AddedItems[0] as ContentPane;
                    Panes.Add(cp);
                }
            }

            Dispatcher.BeginInvoke(new Action(() =>
            {
                if (e.RemovedItems.Count != 0)
                {
                    if (e.RemovedItems[0] != null)
                    {
                        ContentPane CP = e.RemovedItems[0] as ContentPane;
                        
                        if (CP.PaneLocation == PaneLocation.Floating)
                        {
                            int i = Panes.Count;
                            TGP1.SelectedItem = Panes[Panes.Count - 2];
                            Panes.Clear();
                        }
                    }
                }
            }));
        }     
    }
}
